POST api/valuation/{valuationId}/recordfeedback?feedback={feedback}&impression={impression}&feedbackDate={feedbackDate}&negIds[0]={negIds[0]}&negIds[1]={negIds[1]}
Record and edit the feedback against a Valuation. Processes this valuation API request. The parameter and response sections describe the data exchanged with the API.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| valuationId |
valuation id |
integer |
Required |
| feedback |
feedback text |
string |
Required |
| impression |
The impression value supplied with the request. |
string |
Required |
| feedbackDate |
The feedback date value supplied with the request. |
date |
None. |
| negIds |
The neg ids value supplied with the request. |
Collection of integer |
None. |
Body Parameters
None.
Response Information
Resource Description
The response returned after the operation completes.
ValuationFeedbackDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| VendorCommunication |
The vendor communication value. |
ValuationFeedbackCommunicationDataContract |
None. |
| Feedback |
The feedback value. |
string |
None. |
| Impression |
The impression value. |
EnumDataContract |
None. |
| Team |
The team value. |
EventTeamDataContract |
None. |
| Notes |
The collection of notes. |
Collection of EventNoteCommandDataContract |
None. |
| Documents |
The collection of documents. |
Collection of DocumentDataContract |
None. |
| Name |
The name value. |
string |
None. |
| Description |
The description value. |
string |
None. |
| DateTime |
The date time, expressed as a date and time. |
date |
None. |
| EventCategory |
The event category value. |
EnumDataContract |
None. |
| EventType |
The event type value. |
EnumDataContract |
None. |
| EventStatus |
The event status value. |
EnumDataContract |
None. |
| Negotiators |
The collection of negotiators. |
Collection of ListNegotiatorDataContract |
None. |
| BranchId |
The unique identifier of the related branch resource. |
integer |
None. |
| OwningTeamId |
The unique identifier of the related owning team resource. |
integer |
None. |
| TeamAccessType |
The team access type value. |
string |
None. |
| CustomFields |
The collection of custom fields. |
Collection of CustomFieldGroupWithValuesDataContract |
None. |
| CreatedDate |
The created date, expressed as a date and time. |
date |
None. |
| CreatedBy |
The created by value. |
CreatedByDataContract |
None. |
| Id |
The unique identifier of this resource. |
integer |
None. |
Response Formats
application/json
Sample not available.
text/json
Sample not available.